Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.maven.plugin
Class ReflectionsMojo

    java.lang.Object
      org.jfrog.jade.plugins.common.injectable.MvnInjectableSupport
          org.jfrog.jade.plugins.common.injectable.MvnInjectableMojoSupport
              org.jboss.errai.reflections.maven.plugin.ReflectionsMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo, org.jfrog.jade.plugins.common.injectable.MvnInjectable

    public class ReflectionsMojo

extends org.jfrog.jade.plugins.common.injectable.MvnInjectableMojoSupport

maven plugin for Reflections

use it by configuring the pom with:

     <build>
           <plugins>
               <plugin>
                   <groupId>org.reflections</groupId>
                   <artifactId>reflections-maven</artifactId>
                   <version>0.9.5 or whatever the version might be</version>
                   <executions>
                       <execution>
                           <goals>
                               <goal>reflections</goal>
                           </goals>
                           <phase>process-classes</phase>
                       </execution>
                   </executions>
                   <configuration>
                      <... optional configuration here>
                   </configuration>
               </plugin>
           </plugins>
       </build>

configurations:
- `scanners` - a comma separated list of scanner classes, defaults to "org.reflections.scanners.TypeAnnotationsScanner, org.reflections.scanners.SubTypesScanner"
- `includeExclude` - a comma separated list of include exclude filters, to be used with `FilterBuilder` to filter the inputs and the results of all scanners, defaults to "-java., -javax., -sun., -com.sun."
- `destinations` - a comma separated list of destinations to save metadata to, defaults to ${project.build.outputDirectory}/META-INF/reflections/${project.artifactId}-reflections.xml
- `serializer` - fully qualified name of the serializer to be used for saving, defaults to `XmlSerializer`
- `parallel` - indicates whether to use parallel scanning of classes, using j.u.c FixedThreadPool, defaults to false

  Field Summary

  Fields inherited from interface org.apache.maven.plugin.Mojo
  `ROLE`

  Constructor Summary
  `ReflectionsMojo()`

  Method Summary
  `void` | `execute()`

  Methods inherited from class org.jfrog.jade.plugins.common.injectable.MvnInjectableMojoSupport
  `getPluginContext, setPluginContext, updateFromMvnInjectable`

  Methods inherited from class org.jfrog.jade.plugins.common.injectable.MvnInjectableSupport
  `createFolder, fillPluginSettings, getAntProject, getArtifactFactory, getArtifactResolver, getFailSafeScope, getLocalRepository, getLog, getMaven2AntManager, getNameProvider, getPluginArtifacts, getProject, getProjectHelper, resolveAndGetAntPath, resolveArtifacts, setArtifactFactory, setArtifactResolver, setLocalRepository, setLog, setMaven2AntManager, setNameProvider, setPluginArtifacts, setProject, setProjectHelper`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Methods inherited from interface org.apache.maven.plugin.Mojo
  `getLog, setLog`

  Constructor Detail

  ### ReflectionsMojo

      public ReflectionsMojo()

  Method Detail

  ### execute

      public void execute()
                   throws org.apache.maven.plugin.MojoExecutionException,
                          org.apache.maven.plugin.MojoFailureException

    Throws:
      `org.apache.maven.plugin.MojoExecutionException`
      `org.apache.maven.plugin.MojoFailureException`

  Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2011. All Rights Reserved.